跳转到主要内容
资源中心/硬件设施/主存储相关接口
PUTPrimary Storage Operations起始版本 0.6同步需要认证

刷新主存储容量

刷新主存储容量

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • primaryStorageUuidString必填

    主存储UUID

请求体字段

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryPrimaryStorageInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • zoneUuidString必填

      区域UUID

    • nameString必填

      资源名称

    • urlString必填

      地址。

    • descriptionString必填

      资源的详细描述

    • totalCapacityLong必填

      总容量。

    • availableCapacityLong必填

      可用容量。

    • totalPhysicalCapacityLong必填

      总物理容量。

    • availablePhysicalCapacityLong必填

      可用物理容量。

    • systemUsedCapacityLong必填

      系统已使用容量。

    • typeString必填

      类型。

    • stateString必填

      当前状态。

    • statusString必填

      状态信息。

    • mountPathString必填

      mount路径。

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • attachedClusterUuidsList必填

      附加集群UUID。

请求地址

PUT/zstack/v1/primary-storage/{primaryStorageUuid}/actions

/zstack/v1/primary-storage/{primaryStorageUuid}/actions

操作 ID

SyncPrimaryStorageCapacity

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/primary-storage/{primaryStorageUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "name": "PS1", "url": "/Cloud_ps", "availableCapacity": 9.73078528E8, "availablePhysicalCapacity": 9.73078528E8, "type": "LocalStorage", "state": "Enabled", "status": "Connected", "attachedClusterUuids": [ "06b22ab47bb74d2d97dba43ccdde8b9a" ] } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史